addr2line(1)

NAME
addr2line - convert addresses into file names and line numbers

SYNOPSIS

addr2line
    [-b bfdname | --target= bfdname ] [-C|--demangle] [-e filename | --exe= filename ] [-f|--functions] [-s|--basenames] [-H|--help] [-V|--version] [addraddr...]

DESCRIPTION
addr2line translates program addresses into file names and line numbers. Given an address and an executable, it uses the debugging information in the executable to figure out which file name and line number are associated with a given address. The executable to use is specified with the -e option. The default is a.out . addr2line has two modes of operation. In the first, hexadecimal addresses are specified on the command line, and addr2line displays the file name and line number for each address. In the second, addr2line reads hexadecimal addresses from standard input, and prints the file name and line number for each address on standard output. In this mode, addr2line may be used in a pipe to convert dynamically chosen addresses. The format of the output is FILENAME:LINENO. The file name and line number for each address is printed on a separate line. If the -f option is used, then each FILENAME:LINENO line is preceded by a FUNCTIONNAME line which is the name of the function containing the address. If the file name or function name can not be determined, addr2line will print two question marks in their place. If the line number can not be determined, addr2line will print 0.

OPTIONS

-b bfdname

--target=bfdname
    Specify the object-code format for the object files to be bfdname .

-C

--demangle
    Decode (demangle) low-level symbol names into user-level names. Besides removing any initial underscore prepended by the system, this makes C++ function names readable.

-e filename

--exe=filename
    Specify the name of the executable for which addresses should be translated. The default file is a.out .

-f

--functions
    Display function names as well as file and line number information.

-s

--basenames
    Display only the base of each file name.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991).

COPYING
Copyright (c) 1993, 94, 95, 96, 97, 98, 1999, 2000 Free Software Foundation, Inc.

This document is distributed under the terms of the GNU Free Documentation License, version 1.1. That license is described in the sources for this manual page, but it is not displayed here in order to make this manual more consise. Copies of this license can also be obtained from: http://www.gnu.org/copyleft/.